上次更新时间:2026年9月1日
查询播放列表信息
请求
HTTP URL | https://open.tiktokapis.com/v2/research/playlist/info/ |
HTTP 请求方法 | POST |
权限范围 | research.data.basic (必要权限) |
请求头
Key | 类型 | 描述 | 示例 | 是否必填 |
Authorization | 字符串 (String) | 通过 /v2/oauth/token/ 获取的客户端访问令牌。 | Bearer clt.example12345Example12345Example | 是 |
Content-Type | 字符串 (String) | 资源的原始媒体类型。 | application/json | 是 |
请求体
Key | 类型 | 描述 | 示例值 | 是否必填 |
playlist_id | int64 | 播放列表的唯一 ID。 | 1234569763387255595 | 是 |
cursor | int64 | 指定开始检索视频结果的索引位置。 | 15 | 否 |
max_count | int64 | 一个播放列表中可返回的最大视频数量。 | 10 | 否 |
示例
curl --location 'https://open.tiktokapis.com/v2/research/playlist/info/?fields=playlist_id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer abcdefghijklmn' \
--data '{
"playlist_id": 12345677654321,
"max_count":100,
"cursor":0
}'响应
响应体
Key | 类型 | 描述 |
data | PlayListInfoObject | 返回的播放列表信息。 |
error | ErrorStructV2 | Error 对象。 |
PlayListInfoObject
Key | 类型 | 描述 |
playlist_id | int64 | 播放列表的唯一 ID。 |
playlist_item_total | int64 | 播放列表中的总视频数量。 |
playlist_last_updated | int64 | 播放列表最近一次更新时间。 |
playlist_name | 字符串 (String) | 播放列表的名称。 |
playlist_video_ids | list<i64> | 播放列表中的所有视频 ID。 |
has_more | 布尔值 (Boolean) | 播放列表中是否还有更多视频。 |
cursor | int64 | 下一页视频的开始索引位置。 |
示例
{
"data": {
"playlist_item_total": 10,
"playlist_last_updated": 12345678,
"playlist_name": "example name",
"playlist_video_ids": [
12345678910,
10987654321
],
"cursor": 10,
"has_more": true,
"playlist_id": 12345678910
},
"error": {
"code": "ok",
"message": "ok",
"log_id": "12345678899abcdefg"
}
}